Package com.sun.speech.freetts

# Interface PhoneDurations

All Known Implementing Classes:
  `PhoneDurationsImpl`

public interface PhoneDurations
Maintains a set of `PhoneDuration` instances indexed by phone.

See Also:
  - `PhoneDuration`

## Method Summary

Modifier and Type
Method
Description
`PhoneDuration`
`getPhoneDuration(String phone)`
Gets the `PhoneDuration` for the given phone.

## Method Details

### getPhoneDuration

PhoneDuration getPhoneDuration(String phone)
Gets the `PhoneDuration` for the given phone. If no duration is applicable, returns `null`. Note that 'applicable' implementation dependent; some implementations may return a default value.

Parameters:
  `phone` - the phone to get duration information for
Returns:
  the duration information for the phone